name: test-framework
version: 0.8.2.0
id: test-framework-0.8.2.0-BsqEY4hQD0p1IH1BKJVmAm
key: test-framework-0.8.2.0-BsqEY4hQD0p1IH1BKJVmAm
license: BSD-3-Clause
maintainer: Libraries List <libraries@haskell.org>
author: Max Bolingbroke <batterseapower@hotmail.com>
homepage: http://haskell.github.io/test-framework/
synopsis: Framework for running and organising tests, with HUnit and QuickCheck support
description:
    Allows tests such as QuickCheck properties and HUnit test cases to be assembled into test groups, run in
    parallel (but reported in deterministic order, to aid diff interpretation) and filtered and controlled by
    command line options. All of this comes with colored test output, progress reporting and test statistics output.
category: Testing
abi: d2bf3befad005d529c2bffd73f1033c9
exposed: True
exposed-modules:
    Test.Framework Test.Framework.Options Test.Framework.Providers.API
    Test.Framework.Runners.API Test.Framework.Runners.Console
    Test.Framework.Runners.Options Test.Framework.Runners.TestPattern
    Test.Framework.Seed
hidden-modules: Test.Framework.Core Test.Framework.Improving
                Test.Framework.Runners.Console.Colors
                Test.Framework.Runners.Console.ProgressBar
                Test.Framework.Runners.Console.Run
                Test.Framework.Runners.Console.Statistics
                Test.Framework.Runners.Console.Table
                Test.Framework.Runners.Console.Utilities
                Test.Framework.Runners.Core Test.Framework.Runners.Processors
                Test.Framework.Runners.Statistics Test.Framework.Runners.ThreadPool
                Test.Framework.Runners.TimedConsumption
                Test.Framework.Runners.XML.JUnitWriter Test.Framework.Runners.XML
                Test.Framework.Utilities
import-dirs: /usr/local/lib/ghc/test-framework-0.8.2.0
library-dirs: /usr/local/lib/ghc/test-framework-0.8.2.0
dynamic-library-dirs: /usr/local/lib/ghc/test-framework-0.8.2.0
data-dir: /usr/local/share/hs-test-framework-0.8.2.0
hs-libraries: HStest-framework-0.8.2.0-BsqEY4hQD0p1IH1BKJVmAm
depends:
    ansi-terminal-0.8.2-LZ54B5ErqCiIlNwOVvnj65
    ansi-wl-pprint-0.6.8.2-9mA7ckPlKRf5aGqviJvBkZ base-4.12.0.0
    containers-0.6.0.1 hostname-1.0-96RwzZJKf0mHYnt0kjXkqR
    old-locale-1.0.0.7-D4Rn5zPhtMJBwwirPJNu78
    random-1.1-3ypV4EIycgb35PKjTYYr5q
    regex-posix-0.95.2-jmiKTXBn5tB7yYph2GqnC time-1.8.0.2
    xml-1.3.7-8a6ftauAVpI5RUSHz8NtfL
haddock-interfaces: /usr/local/share/doc/hs-test-framework-0.8.2.0/html/test-framework.haddock
haddock-html: /usr/local/share/doc/hs-test-framework-0.8.2.0/html
